<?php

namespace Dgcl\ProjectsBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * PieceJointe
 */
class PieceJointe
{
    /**
     * @var integer
     */
    private $idFichier;

    /**
     * @var string
     */
    private $nom_fichier;

    /**
     * @var integer
     */
    private $annee;

    /**
     * @var string
     */
    private $question;

    /**
     * @var \Dgcl\ProjectsBundle\Entity\Commune
     */
    private $Commune;

    
    public function __toString() {
        
        return $this->nom_fichier ;
        
    }

    /**
     * Get idFichier
     *
     * @return integer 
     */
    public function getIdFichier()
    {
        return $this->idFichier;
    }

    /**
     * Set nom_fichier
     *
     * @param string $nomFichier
     * @return PieceJointe
     */
    public function setNomFichier($nomFichier)
    {
        $this->nom_fichier = $nomFichier;
    
        return $this;
    }

    /**
     * Get nom_fichier
     *
     * @return string 
     */
    public function getNomFichier()
    {
        return $this->nom_fichier;
    }

    /**
     * Set annee
     *
     * @param integer $annee
     * @return PieceJointe
     */
    public function setAnnee($annee)
    {
        $this->annee = $annee;
    
        return $this;
    }

    /**
     * Get annee
     *
     * @return integer 
     */
    public function getAnnee()
    {
        return $this->annee;
    }

    /**
     * Set question
     *
     * @param string $question
     * @return PieceJointe
     */
    public function setQuestion($question)
    {
        $this->question = $question;
    
        return $this;
    }

    /**
     * Get question
     *
     * @return string 
     */
    public function getQuestion()
    {
        return $this->question;
    }

    /**
     * Set Commune
     *
     * @param \Dgcl\ProjectsBundle\Entity\Commune $commune
     * @return PieceJointe
     */
    public function setCommune(\Dgcl\ProjectsBundle\Entity\Commune $commune = null)
    {
        $this->Commune = $commune;
    
        return $this;
    }

    /**
     * Get Commune
     *
     * @return \Dgcl\ProjectsBundle\Entity\Commune 
     */
    public function getCommune()
    {
        return $this->Commune;
    }
    /**
     * @var string
     */
    private $nom_fichier_originale;


    /**
     * Set nom_fichier_originale
     *
     * @param string $nomFichierOriginale
     * @return PieceJointe
     */
    public function setNomFichierOriginale($nomFichierOriginale)
    {
        $this->nom_fichier_originale = $nomFichierOriginale;
    
        return $this;
    }

    /**
     * Get nom_fichier_originale
     *
     * @return string 
     */
    public function getNomFichierOriginale()
    {
        return $this->nom_fichier_originale;
    }
}